## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iutil/eventh.h File Reference

Event handler interface. More...

`#include "csutil/scf.h"`
`#include "iutil/eventnames.h"`
`#include "iutil/eventhandlers.h"`

Go to the source code of this file.

## Classes

struct | iEventHandler
| This interface describes an entity that can receive events. More...

## Defines

#define | CS_EVENTHANDLER_DEFAULT_INSTANCE_CONSTRAINTS
| Macro to declare instance constraints which are the same as the generics.
#define | CS_EVENTHANDLER_NAMES(x)
| Macro to create default GenericName and GenericName methods.
#define | CS_EVENTHANDLER_NIL_CONSTRAINTS
| Macro to create "nil" generic and instance constraints.
#define | CS_EVENTHANDLER_NIL_GENERIC_CONSTRAINTS
| Macro to create nil generic constraints.

## Detailed Description

Event handler interface.

Definition in file eventh.h.